import { http } from '@/utils/http';

export function queryJinriShengchansj(params : object) { // 获取今日天然气生产数据
	return http({
		url: '/scdt.CxcScdtChart/cxcScdtChart/list',
		method: 'GET',
		data: params
	})
}

export function queryJinriTrqShengchansj(params : object) { // 获取当前日期、今年以来天然气的生产数据  day   gas  unit
	return http({
		url: '/scdt.CxcScdtChart/cxcScdtChart/getStatisticsData',
		method: 'GET',
		data: params
	})
}

export function queryYearShengchansj(params : object) { // 获取今年以来天然气的生产数据
	return http({
		url: '/scdt.CxcScdtChart/cxcScdtChart/getYearStatis',
		method: 'GET',
		data: params
	})
}

export function queryJinriYuanyouShengchansj(params : object) { // 获取今日原油 污油产量
	return http({
		url: '/scdt.cxcscdtwyrb/cxcScdtWyRb/list',
		method: 'GET',
		data: params
	})
}

//  实时数据API

export function queryJldZcList(params : object) { // 获取计量点站场列表
	return http({
		url: '/sys/sysDepart/queryDepartsByzdjl',
		method: 'GET',
		data: params
	})
}

export function queryJldDataByZc(params : object) { // 获取站场计量点实时数据
	return http({
		url: 'http://10.75.166.6:9999/Gyk/sssj/GetJlByZc',
		method: 'GET',
		data: params
	})
}

export function queryJldDataByJldID(params : object) { // 获取计量点五分钟实时采集的历史数据
	return http({
		url: 'http://10.75.166.6:9999/Gyk/jldls/cxcSssjLssjJldls/getLssjByJldId',
		method: 'GET',
		data: params
	})
}